commit 9608070a386f71148aa76a34aef60b342caa73b8
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Mar 8 00:22:25 2025 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index e2c574236a8..d91fc568bb9 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2025-03-07  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	Backported from master:
+	2025-03-07  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	PR target/115485
+	* config/arm/arm.cc (require_pic_register): Fix typos in
+	comment. Handle fixed arm_pic_register.
+
 2025-03-06  Xi Ruoyao  <xry111@xry111.site>
 
 	PR target/119084
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 5f4d7bc93d2..e0b09102792 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250307
+20250308
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index f08573c72ca..7264860a426 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-03-07  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	Backported from master:
+	2025-03-07  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	PR target/115485
+	* g++.target/arm/pr115485.C: New test.
+
 2025-03-06  Xi Ruoyao  <xry111@xry111.site>
 
 	PR target/119084

